FreeBSD Administration - Support #845

Install FLOSS on FreeBSD
08/27/2016 08:43 PM - Daniel Curtis

Status: Closed Start date: 08/28/2016
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Workstation Estimated time: 0.50 hour
Target version: FreeBSD 10 Spent time: 0.50 hour
Description

This is a guide for installing the FireEye FLOSS utility on FreeBSD 10.

Prepare the Environment

o Make sure the system is up to date:

pkg update && pkg upgrade

FLOSS

* Install a few dependencies:
pkg install py27-pytest

o |nstall vivisect:

pip install https://github.com/williballenthin/vivisect/zipball/master

e |nstall FLOSS from GitHub:

pip install https://github.com/fireeye/flare-floss/zipball/master

Resources

https://github.com/fireeye/flare-floss

https://github.com/fireeye/flare-floss/blob/master/doc/installation.md

https://github.com/williballenthin/vivisect
https://github.com/vivisect/vivisect

e o o o

History

#1 - 08/27/2016 08:44 PM - Daniel Curtis

- Status changed from New to Resolved

- Start date changed from 08/27/2016 to 08/28/2016
- % Done changed from 0 to 100

#2 - 09/12/2016 07:29 PM - Daniel Curtis

- Status changed from Resolved to Closed
